List workspace secrets
curl --request GET \
--url https://service.abundly.ai/workspaceapi/secrets \
--header 'Authorization: Bearer <token>'import requests
url = "https://service.abundly.ai/workspaceapi/secrets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://service.abundly.ai/workspaceapi/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"sanitizedSecret": "<string>",
"fields": [
{
"key": "<string>",
"sensitive": true,
"sanitizedValue": "<string>",
"value": "<string>"
}
],
"addedAt": "<string>",
"addedBy": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"description": "<string>",
"allAgents": true,
"agentIds": [
"<string>"
],
"adminUserIds": [
"<string>"
],
"groupIds": [
"<string>"
],
"disabled": true,
"meta": {}
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
List workspace secrets
Secret names and metadata, including which agents, admins and teams can use each one. Values are masked server-side and never leave the platform.
GET
/
workspaceapi
/
secrets
List workspace secrets
Authorizations
Workspace API key (wk_). GET endpoints require the Workspace read API scope, POST endpoints the Workspace write API scope.
Response
Success. Empty result sets are also 200.
Secret type, e.g. http, gcp, salesforce.
Masked display value. The real value never leaves the platform.
Show child attributes
Show child attributes
ISO 8601 timestamp.
User id.
ISO 8601 timestamp.
User id.
True means every agent in the workspace may use the secret.
Agents granted use, in addition to the teams in groupIds.
Empty or absent means every member may administer it.
Teams whose agents are granted use.
Show child attributes
Show child attributes

